﻿# Parkers Pterodactyl eggs repo

I am working on adding a large collection of public eggs for the Pterodactyl community.

With that I am also accepting PR's for new services and also updates to the current ones.

If you are submitting PR's try and keep names and titles the same.

## How to import an egg

If you are reading this it looks like you are looking to add an egg to your server.

1. Download any of the json files located in the folders below.
   1. It's easiest to right click the `raw` button and save as.
2. In your panel go to the `Nests` section in the admin part of the panel
3. Click the green `Import Egg` button
4. Browse to the json file you saved earlier
5. Select what nest you want to put the egg in.
   1. If you want a new nest you need to create it before importing the egg.

# You must restart your daemon after importing an egg if you are using 0.7. This is not required on 1.X.


## Please read the CONTRIBUTING.md before submitting PRs

## [Bots](/bots)

[Discord](/bots/discord)
* [ATL Bot](/bots/discord/atlbot) Node JS
* [Bastion](/bots/discord/bastion) Node JS
* [CorpBot](/bots/discord/corpbot) Python
* [discord.js](bots/discord/discord.js) Node JS generic
* [discord.py](bots/discord/discord.py) Python generic
* [discordgo](bots/discord/discordgo) Golang generic
* [fragbot](/bots/discord/fragbot) Golang
* [JMusicBot](/bots/discord/jmusicbot) Java
* [parkertron](/bots/discord/parkertron) Golang
* [pixel-bot](/bots/discord/pixelbot) Python
* [Redbot](/bots/discord/redbot) Python
* [SinusBot](/bots/discord/sinusbot)

[Other](/bots/other)
* [Big Brother Bot](/bots/other/bigbrotherbot)

[Twitch](/bots/twitch)
  * [PhantomBot](/bots/twitch/phantombot)
  * [SogeBot](/bots/twitch/sogebot)

[TeamSpeak3](bots/teamspeak3)
  * [JTS3ServerMod](/bots/teamspeak3/jts3servermod)

## [Database](/database)
### In-Memory Databases
[Redis](/database/redis)
* [Redis 5](/database/redis/redis-5)
* [Redis 6](/database/redis/redis-6)

### noSQL
* [mongoDB](/database/nosql/mongodb)

### SQL Databases
* [MariaDB](/database/sql/mariadb)
* [PostgreSQL](/database/sql/postgres)

## Voice Servers
* [Lavalink](/voice_servers/lavalink)
* [TeaSpeak](/voice_servers/teaspeak)
* [TS3-Manager](/voice_servers/ts3_manager)

## Game Eggs
[Among Us](/among_us)
* [Impostor Server](/among_us/impostor_server)
* [CrewLink Server](/among_us/crewlink_server)

[Cryofall](/cryofall/cryofall)

[ET Legacy](/enemy_territory/etlegacy)

[FTL: Tachyon](/ftl/tachyon)

[Factorio](/factorio)
* [Vanilla](/factorio/factorio)
* [ModUpdate](/factorio/factorio-modupdate)

[Grand Theft Auto](/gta)
* GTA V
  * [FiveM](/gta/fivem)
  * [RageMP](/gta/ragemp)
  * [alt:V](/gta/altv)
* GTA SA
  * [Multi Theft Auto](/gta/mtasa)
  * [SA-MP](/gta/samp)

[Mindustry](/mindustry)
  * [Mindustry](/mindustry/mindustry)

[League Sandbox](/leaguesandbox)
  * [League Sandbox](/leaguesandbox/leaguesandbox)

[Minetest](/minetest) (including MTG)
  * [Minetest](/minetest/minetest)

[Minecraft](/minecraft)
* [Bedrock](/minecraft/bedrock) Servers for Bedrock Minecraft (Windows 10, mobile, console)
  * [Bedrock](/minecraft/bedrock/bedrock)
  * [gomint](/minecraft/bedrock/gomint)
  * [Nukkit](/minecraft/bedrock/nukkit)  
  * [PocketMine MP](/minecraft/bedrock/pocketmine_mp)  

* [Java](/minecraft/java) Servers for Java Minecraft
  * [Cuberite](/minecraft/java/cuberite)
  * [Fabric](/minecraft/java/fabric) 
  * [Feather](/minecraft/java/feather)  
  * [Feed The Beast](/minecraft/java/ftb)  
  * [Forge](/minecraft/java/forge)  
  * [Magma](/minecraft/java/magma)
  * [Mohist](/minecraft/java/mohist)
  * [Paper](/minecraft/java/paper)
  * [Purpur](/minecraft/java/purpur)
  * [Spigot](/minecraft/java/spigot)
  * [SpongeForge](/minecraft/java/spongeforge)
  * [SpongeVanilla](/minecraft/java/spongevanilla)
  * [Technic](/minecraft/java/technic)
  * [Tuinity](/minecraft/java/tuinity)
  * [VanillaCord](/minecraft/java/vanillacord)

* [Proxies](/minecraft/proxy) Minecraft Server Proxies
  * [Java](/minecraft/proxy/java)
    * [Travertine](/minecraft/proxy/java/travertine)
    * [TyphoonLimbo](/minecraft/proxy/java/typhoonlimbo)
    * [Velocity](/minecraft/proxy/java/velocity)
    * [Waterfall](/minecraft/proxy/java/waterfall)
  * [Cross Platform](/minecraft/proxy/cross_platform)
    * [GeyserMC](/minecraft/proxy/cross_platform/geyser)
    * [Waterdog](/minecraft/proxy/cross_platform/waterdog)
	
[OpenRA](/openra)
* [OpenRA Dune2000](/openra/openra_dune2000)
* [OpenRA Red Alert](/openra/openra_red_alert)
* [OpenRA Tiberian Dawn](/openra/openra_tiberian_dawn)

[Red Dead Redemption](/rdr)
* [RedM](/rdr/redm)

[SteamCMD Servers](/steamcmd_servers) These eggs use SteamCMD to install
* [7 Days to Die](/steamcmd_servers/7_days_to_die)
* [ARK: Survival Evolved](/steamcmd_servers/ark_survival_evolved)
* [Arma](/steamcmd_servers/arma)
  * [Arma 3](/steamcmd_servers/arma/arma3)
  * [Arma 3 64 Bit](/steamcmd_servers/arma/arma3_x64)
  * [Arma 3 Headless Client](/steamcmd_servers/arma/arma3_headless_client)
* [Assetto Corsa](/steamcmd_servers/assetto_corsa)
* [Avorion](/steamcmd_servers/avorion)
* [Barotrauma](/steamcmd_servers/barotrauma)
* [Citadel: Forged with Fire](/steamcmd_servers/citadel)
* [Conan Exiles](/steamcmd_servers/conan_exiles)
* [Don't Starve Together](/steamcmd_servers/dont_starve)
* [ECO](/steamcmd_servers/eco)
* [HLDS Server](/steamcmd_servers/hlds_server)
* [Holdfast: Nations At War](/steamcmd_servers/holdfast)
* [Hurtworld](/steamcmd_servers/hurtworld)
* [Insurgency: Sandstorm](/steamcmd_servers/insurgency_sandstorm)
* [Killing Floor 2](/steamcmd_servers/killing_floor_2)
* [Modiverse](/steamcmd_servers/modiverse)
* [Mordhau](/steamcmd_servers/mordhau)
* [Onset](/steamcmd_servers/onset)
* [PixARK](/steamcmd_servers/pixark)
* [Post Scriptum](/steamcmd_servers/post_scriptum)
* [Project Zomboid](/steamcmd_servers/project_zomboid)
* [Quake Live](/steamcmd_servers/quake_live)
* [Rising World](/steamcmd_servers/rising_world)
* [Rust](/steamcmd_servers/rust)
  * [Autowipe](/steamcmd_servers/rust/rust_autowipe)
  * [Staging](/steamcmd_servers/rust/rust_staging)
* [SCP: Secret Laboratory](/steamcmd_servers/scpsl)
  * [dedicated](/steamcmd_servers/scpsl/dedicated)
  * [multiadmin](/steamcmd_servers/scpsl/multiadmin)
* [Soldat](/steamcmd_servers/soldat)
* [Space Engineers](/steamcmd_servers/space_engineers)
* [Squad](/steamcmd_servers/squad)
* [Starbound](/steamcmd_servers/starbound)
* [Stationeers](/steamcmd_servers/stationeers)
* [Stormworks: Build and Rescue](/steamcmd_servers/stormworks)
* [Subnautica: Nitrox Mod](/steamcmd_servers/subnautica_nitrox_mod)
* [Sven Co-op](/steamcmd_servers/svencoop)
* [The Forest](/steamcmd_servers/the_forest)
* [Team Fortress 2 Classic](/steamcmd_servers/team_fortress_2_classic)
* [Unturned](/steamcmd_servers/unturned)
* [Valheim](/steamcmd_servers/valheim)
  * [Valheim Vanilla](/steamcmd_servers/valheim/valheim_vanilla)
  * [Valheim Plus Mod](/steamcmd_servers/valheim/valheim_plus)

[Teeworlds](/teeworlds)
* [Teeworlds](/teeworlds/teeworlds)

[Terraria](/terraria)
* [Vanilla](/terraria/vanilla)
* [tModLoader](/terraria/tmodloader)
* [TShock](/terraria/tshock)

[Tycoon Games](/tycoon_games)
* [OpenTTD](/tycoon_games/openttd)

[Unreal Engine](/unreal_engine)
* [Tower Unite](/unreal_engine/tower_unite)
* [Tower Unite](/steamcmd_servers/tower_unite)

[Vintage Story](/vintage_story/vintage_story)

[Xonotic](/xonotic/xonotic)

## [Storage](/storage/)
### S3 Storage
* [minio](/storage/minio)

## [Software](/software/)
### Code Server
* [Code-Server](/software/code-server)